Listar contas
RegistosGET /accounts
List accounts explicitly linked to the authenticated consumer
Pages the utility accounts the signed-in person can access through an active membership, across all tenants. Results can be narrowed with the status, customer_id, property_id and q (search) query parameters and use cursor pagination with limit and after.
Parâmetros
limitMaximum resources to return (default 20, maximum 100).
afterOpaque cursor returned by the previous page.
Devolve
200 Accounts authorized for this consumer identity
Mostrar atributos
dataMostrar atributos filhos
idtenant_idtenant_slugThe utility's slug, so a client can brand the account. Omitted when unknown.
customer_idcustomer_nameDisplay name of the referenced customer. Omitted when unknown.
property_idproperty_addressAddress line of the referenced property. Omitted when unknown.
permissionsPresent only in consumer responses and lists the authenticated identity's permissions for this account.
account_numberbilling_entity_idstatusum de
active,suspended,closedopened_atclosed_at
has_morenext_cursor
curl -X GET "$CONSUMER_API/accounts" \
-H "Authorization: Bearer sk_test_..."
examplectl accounts list --json
const res = await fetch("$CONSUMER_API/accounts", {
method: "GET",
headers: {
Authorization: "Bearer sk_test_..."
}
});
const data = await res.json();
import requests
res = requests.get(
"$CONSUMER_API/accounts",
headers={
"Authorization": "Bearer sk_test_..."
}
)
data = res.json()
req, _ := http.NewRequest("GET", "$CONSUMER_API/accounts", nil)
req.Header.Set("Authorization", "Bearer sk_test_...")
resp, err := http.DefaultClient.Do(req)
{
"data": [
{
"id": "act_2JFioNDgIfvkgflk8RtcqhBaARP",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"tenant_slug": "tenant slug",
"customer_id": "cus_2UuXtOGTHWKlvkoF5so5Joi3Hck",
"customer_name": "Ana Matsinhe",
"property_id": "prp_2ZbuIh1k2RvWMVPQCJD2yPrsOJ3",
"property_address": "Av. Julius Nyerere 1420, Maputo",
"permissions": [
"account.read"
],
"account_number": "ACC-2026-000142",
"billing_entity_id": "bil_2lLuuZnocVf6qrPO4rXsSdtAi95",
"status": "active",
"opened_at": "2026-11-19T09:30:00Z",
"closed_at": "2026-11-19T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "next cursor"
}